[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'eventlog' (#fcl)

# TEventLog.OnGetCustomEventID

Event to retrieve custom event ID

## Declaration

Source position: eventlog.pp line 108

`published property TEventLog.OnGetCustomEventID : TLogCodeEvent read FOnGetCustomEventID write FOnGetCustomEventID;`

## Description

OnGetCustomEventID is called on the windows platform to determine the category of a custom event type. It should return an ID which will be used by windows to look up the string which formats the message, in the file containing the resource strings.

## See also

OnGetCustomCategory |  | Event to retrieve custom message category
OnGetCustomEvent |  | Event to retrieve custom event Code